System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

Use the attribute to identify an object as suitable for use by an object. Design-time classes such as the class use the attribute to present suitable objects to bind to an object.

For more information about using attributes, see Extending Metadata Using Attributes.

Identifies a type as an object suitable for binding to an object. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The property is set to true when you use the constructor.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  Use the constructor to indicate to a design-time class such as the class that an object should be excluded from the list of suitable objects for binding to an object.

  The property is set to the value of the parameter.

  Initializes a new instance of the class and indicates whether an object is suitable for binding to an object.

  true if the object is suitable for binding to an object; otherwise, false.
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DataObjectAttribute

  The field returns a new object with the property set to true.

  Indicates that the class is suitable for binding to an object at design time. This field is read-only.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DataObjectAttribute

  The field defines an instance of the class initialized with the constructor, which sets the property to true.

  Represents the default value of the class, which indicates that the class is suitable for binding to an object at design time. This field is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether this instance of fits the pattern of another object.

  Determines whether this instance of fits the pattern of another object.

  true if this instance is the same as the instance specified by the parameter; otherwise, false.

  An object to compare with this instance of .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether an object should be considered suitable for binding to an object at design time.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default; otherwise, false.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DataObjectAttribute

  The field returns a new object with the property set to false.

  Indicates that the class is not suitable for binding to an object at design time. This field is read-only.